var system = require("../../../system")
const settings = require("../../../../config/settings")
const CtlBase = require("../../ctlms.base");
const md5 = require("MD5");
const uuidv4 = require('uuid/v4');
const logCtl = system.getObject("web.common.oplogCtl");

class MerchanttradeCtl extends CtlBase {
    constructor() {
        super();
        this.merchanttradesSve = system.getObject("service.merchant.merchanttradeSve");
    }


    async accountmanagement(params, pobj2, req) {
        try {
            params.merchant_id = req.body.merchant_id;
            return await this.merchanttradesSve.merchanttradesOfListAll(params);
        } catch (error) {
            console.log(error);
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }
}

module.exports = MerchanttradeCtl;
